OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.OES.SinglePrecision

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetOESSinglePrecision :: MonadIO m => m Bool
- gl_OES_single_precision :: Bool
- glClearDepthfOES :: MonadIO m => GLclampf -> m ()
- glClipPlanefOES :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glDepthRangefOES :: MonadIO m => GLclampf -> GLclampf -> m ()
- glFrustumfOES :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glGetClipPlanefOES :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glOrthofOES :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()

# Extension Support

glGetOESSinglePrecision :: MonadIO m => m Bool

Is the OES_single_precision extension supported?

gl_OES_single_precision :: Bool

Is the OES_single_precision extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetOESSinglePrecision` in those cases instead.

# Functions

glClearDepthfOES

Arguments

:: MonadIO m |
=> GLclampf | `depth` of type `ClampedFloat32`.
-> m () |

This command is an alias for `glClearDepthf`.

glClipPlanefOES

Arguments

:: MonadIO m |
=> GLenum | `plane`.
-> Ptr GLfloat | `equation` pointing to `4` elements of type `GLfloat`.
-> m () |

glDepthRangefOES

Arguments

:: MonadIO m |
=> GLclampf | `n` of type `ClampedFloat32`.
-> GLclampf | `f` of type `ClampedFloat32`.
-> m () |

This command is an alias for `glDepthRangef`.

glFrustumfOES

Arguments

:: MonadIO m |
=> GLfloat | `l`.
-> GLfloat | `r`.
-> GLfloat | `b`.
-> GLfloat | `t`.
-> GLfloat | `n`.
-> GLfloat | `f`.
-> m () |

glGetClipPlanefOES

Arguments

:: MonadIO m |
=> GLenum | `plane`.
-> Ptr GLfloat | `equation` pointing to `4` elements of type `GLfloat`.
-> m () |

glOrthofOES

Arguments

:: MonadIO m |
=> GLfloat | `l`.
-> GLfloat | `r`.
-> GLfloat | `b`.
-> GLfloat | `t`.
-> GLfloat | `n`.
-> GLfloat | `f`.
-> m () |